package domain


type AlibabaWdkItemCurrentpriceQueryMzPromotionDto struct {
    /*
        活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        活动名称     */
    Name  *string `json:"name,omitempty" `

    /*
        买赠活动文案     */
    MzDisplayText  *string `json:"mz_display_text,omitempty" `

    /*
        活动开始时间     */
    StartTime  *string `json:"start_time,omitempty" `

    /*
        活动结束时间     */
    EndTime  *string `json:"end_time,omitempty" `

}

func (s *AlibabaWdkItemCurrentpriceQueryMzPromotionDto) SetActId(v int64) *AlibabaWdkItemCurrentpriceQueryMzPromotionDto {
    s.ActId = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryMzPromotionDto) SetName(v string) *AlibabaWdkItemCurrentpriceQueryMzPromotionDto {
    s.Name = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryMzPromotionDto) SetMzDisplayText(v string) *AlibabaWdkItemCurrentpriceQueryMzPromotionDto {
    s.MzDisplayText = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryMzPromotionDto) SetStartTime(v string) *AlibabaWdkItemCurrentpriceQueryMzPromotionDto {
    s.StartTime = &v
    return s
}
func (s *AlibabaWdkItemCurrentpriceQueryMzPromotionDto) SetEndTime(v string) *AlibabaWdkItemCurrentpriceQueryMzPromotionDto {
    s.EndTime = &v
    return s
}
